(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/cdk/table'), require('@angular/cdk/collections')) :
    typeof define === 'function' && define.amd ? define('dfx-bootstrap-table', ['exports', '@angular/core', '@angular/cdk/table', '@angular/cdk/collections'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["dfx-bootstrap-table"] = {}, global.ng.core, global.ng.cdk.table, global.ng.cdk.collections));
})(this, (function (exports, i0, i1, collections) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || Array.prototype.slice.call(from));
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * Enables the recycle view repeater strategy, which reduces rendering latency. Not compatible with
     * tables that animate rows.
     */
    var NgbRecycleRows = /** @class */ (function () {
        function NgbRecycleRows() {
        }
        return NgbRecycleRows;
    }());
    NgbRecycleRows.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbRecycleRows, deps: [], target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbRecycleRows.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbRecycleRows, selector: "ngb-table[recycleRows], table[ngb-table][recycleRows]", providers: [{ provide: collections._VIEW_REPEATER_STRATEGY, useClass: collections._RecycleViewRepeaterStrategy }], ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbRecycleRows, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: 'ngb-table[recycleRows], table[ngb-table][recycleRows]',
                        providers: [{ provide: collections._VIEW_REPEATER_STRATEGY, useClass: collections._RecycleViewRepeaterStrategy }],
                    }]
            }] });
    /**
     * Wrapper for the CdkTable with Material design styles.
     */
    var NgbTable = /** @class */ (function (_super) {
        __extends(NgbTable, _super);
        function NgbTable() {
            var _this = _super.apply(this, __spreadArray([], __read(arguments))) || this;
            /** Overrides the sticky CSS class set by the `CdkTable`. */
            _this.stickyCssClass = 'ngb-table-sticky';
            /** Overrides the need to add position: sticky on every sticky cell element in `CdkTable`. */
            _this.needsPositionStickyOnElement = false;
            return _this;
        }
        return NgbTable;
    }(i1.CdkTable));
    NgbTable.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbTable, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    NgbTable.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.11", type: NgbTable, selector: "ngb-table, table[ngb-table]", host: { properties: { "class.ngb-table-fixed-layout": "fixedLayout" }, classAttribute: "cdk-table" }, providers: [
            // TODO(michaeljamesparsons) Abstract the view repeater strategy to a directive API so this code
            //  is only included in the build if used.
            { provide: collections._VIEW_REPEATER_STRATEGY, useClass: collections._DisposeViewRepeaterStrategy },
            { provide: i1.CdkTable, useExisting: NgbTable },
            { provide: i1.CDK_TABLE, useExisting: NgbTable },
            { provide: i1._COALESCED_STYLE_SCHEDULER, useClass: i1._CoalescedStyleScheduler },
            // Prevent nested tables from seeing this table's StickyPositioningListener.
            { provide: i1.STICKY_POSITIONING_LISTENER, useValue: null },
        ], exportAs: ["ngbTable"], usesInheritance: true, ngImport: i0__namespace, template: "\n  <ng-content select=\"caption\"></ng-content>\n  <ng-content select=\"colgroup, col\"></ng-content>\n  <ng-container headerRowOutlet></ng-container>\n  <ng-container rowOutlet></ng-container>\n  <ng-container noDataRowOutlet></ng-container>\n  <ng-container footerRowOutlet></ng-container>\n", isInline: true, directives: [{ type: i1__namespace.HeaderRowOutlet, selector: "[headerRowOutlet]" }, { type: i1__namespace.DataRowOutlet, selector: "[rowOutlet]" }, { type: i1__namespace.NoDataRowOutlet, selector: "[noDataRowOutlet]" }, { type: i1__namespace.FooterRowOutlet, selector: "[footerRowOutlet]" }], changeDetection: i0__namespace.ChangeDetectionStrategy.Default, encapsulation: i0__namespace.ViewEncapsulation.None });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbTable, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'ngb-table, table[ngb-table]',
                        exportAs: 'ngbTable',
                        template: i1.CDK_TABLE_TEMPLATE,
                        host: {
                            'class': 'cdk-table',
                            '[class.ngb-table-fixed-layout]': 'fixedLayout',
                        },
                        providers: [
                            // TODO(michaeljamesparsons) Abstract the view repeater strategy to a directive API so this code
                            //  is only included in the build if used.
                            { provide: collections._VIEW_REPEATER_STRATEGY, useClass: collections._DisposeViewRepeaterStrategy },
                            { provide: i1.CdkTable, useExisting: NgbTable },
                            { provide: i1.CDK_TABLE, useExisting: NgbTable },
                            { provide: i1._COALESCED_STYLE_SCHEDULER, useClass: i1._CoalescedStyleScheduler },
                            // Prevent nested tables from seeing this table's StickyPositioningListener.
                            { provide: i1.STICKY_POSITIONING_LISTENER, useValue: null },
                        ],
                        encapsulation: i0.ViewEncapsulation.None,
                        // See note on CdkTable for explanation on why this uses the default change detection strategy.
                        // tslint:disable-next-line:validate-decorators
                        changeDetection: i0.ChangeDetectionStrategy.Default,
                    }]
            }] });

    /**
     * Cell definition for the mat-table.
     * Captures the template of a column's data row cell as well as cell-specific properties.
     */
    var NgbCellDef = /** @class */ (function (_super) {
        __extends(NgbCellDef, _super);
        function NgbCellDef() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbCellDef;
    }(i1.CdkCellDef));
    NgbCellDef.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbCellDef, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbCellDef.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbCellDef, selector: "[ngbCellDef]", providers: [{ provide: i1.CdkCellDef, useExisting: NgbCellDef }], usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbCellDef, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[ngbCellDef]',
                        providers: [{ provide: i1.CdkCellDef, useExisting: NgbCellDef }],
                    }]
            }] });
    /**
     * Header cell definition for the mat-table.
     * Captures the template of a column's header cell and as well as cell-specific properties.
     */
    var NgbHeaderCellDef = /** @class */ (function (_super) {
        __extends(NgbHeaderCellDef, _super);
        function NgbHeaderCellDef() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbHeaderCellDef;
    }(i1.CdkHeaderCellDef));
    NgbHeaderCellDef.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbHeaderCellDef, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbHeaderCellDef.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbHeaderCellDef, selector: "[ngbHeaderCellDef]", providers: [{ provide: i1.CdkHeaderCellDef, useExisting: NgbHeaderCellDef }], usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbHeaderCellDef, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[ngbHeaderCellDef]',
                        providers: [{ provide: i1.CdkHeaderCellDef, useExisting: NgbHeaderCellDef }],
                    }]
            }] });
    /**
     * Footer cell definition for the mat-table.
     * Captures the template of a column's footer cell and as well as cell-specific properties.
     */
    var NgbFooterCellDef = /** @class */ (function (_super) {
        __extends(NgbFooterCellDef, _super);
        function NgbFooterCellDef() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbFooterCellDef;
    }(i1.CdkFooterCellDef));
    NgbFooterCellDef.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbFooterCellDef, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbFooterCellDef.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbFooterCellDef, selector: "[ngbFooterCellDef]", providers: [{ provide: i1.CdkFooterCellDef, useExisting: NgbFooterCellDef }], usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbFooterCellDef, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[ngbFooterCellDef]',
                        providers: [{ provide: i1.CdkFooterCellDef, useExisting: NgbFooterCellDef }],
                    }]
            }] });
    /**
     * Column definition for the mat-table.
     * Defines a set of cells available for a table column.
     */
    var NgbColumnDef = /** @class */ (function (_super) {
        __extends(NgbColumnDef, _super);
        function NgbColumnDef() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Object.defineProperty(NgbColumnDef.prototype, "name", {
            /** Unique name for this column. */
            get: function () {
                return this._name;
            },
            set: function (name) {
                this._setNameInput(name);
            },
            enumerable: false,
            configurable: true
        });
        /**
         * Add "mat-column-" prefix in addition to "cdk-column-" prefix.
         * In the future, this will only add "mat-column-" and columnCssClassName
         * will change from type string[] to string.
         * @docs-private
         */
        NgbColumnDef.prototype._updateColumnCssClassName = function () {
            _super.prototype._updateColumnCssClassName.call(this);
            this._columnCssClassName.push("ngb-column-" + this.cssClassFriendlyName);
        };
        return NgbColumnDef;
    }(i1.CdkColumnDef));
    NgbColumnDef.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbColumnDef, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbColumnDef.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbColumnDef, selector: "[ngbColumnDef]", inputs: { sticky: "sticky", name: ["ngbColumnDef", "name"] }, providers: [
            { provide: i1.CdkColumnDef, useExisting: NgbColumnDef },
            { provide: 'NGB_SORT_HEADER_COLUMN_DEF', useExisting: NgbColumnDef },
        ], usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbColumnDef, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[ngbColumnDef]',
                        inputs: ['sticky'],
                        providers: [
                            { provide: i1.CdkColumnDef, useExisting: NgbColumnDef },
                            { provide: 'NGB_SORT_HEADER_COLUMN_DEF', useExisting: NgbColumnDef },
                        ],
                    }]
            }], propDecorators: { name: [{
                    type: i0.Input,
                    args: ['ngbColumnDef']
                }] } });
    /** Header cell template container that adds the right classes and role. */
    var NgbHeaderCell = /** @class */ (function (_super) {
        __extends(NgbHeaderCell, _super);
        function NgbHeaderCell() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbHeaderCell;
    }(i1.CdkHeaderCell));
    NgbHeaderCell.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbHeaderCell, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbHeaderCell.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbHeaderCell, selector: "ngb-header-cell, th[ngb-header-cell]", host: { attributes: { "role": "columnheader" }, classAttribute: "cdk-header-cell" }, usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbHeaderCell, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: 'ngb-header-cell, th[ngb-header-cell]',
                        host: {
                            'class': 'cdk-header-cell',
                            'role': 'columnheader',
                        },
                    }]
            }] });
    /** Footer cell template container that adds the right classes and role. */
    var NgbFooterCell = /** @class */ (function (_super) {
        __extends(NgbFooterCell, _super);
        function NgbFooterCell() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbFooterCell;
    }(i1.CdkFooterCell));
    NgbFooterCell.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbFooterCell, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbFooterCell.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbFooterCell, selector: "ngb-footer-cell, td[ngb-footer-cell]", host: { attributes: { "role": "gridcell" }, classAttribute: "cdk-footer-cell" }, usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbFooterCell, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: 'ngb-footer-cell, td[ngb-footer-cell]',
                        host: {
                            'class': 'cdk-footer-cell',
                            'role': 'gridcell',
                        },
                    }]
            }] });
    /** Cell template container that adds the right classes and role. */
    var NgbCell = /** @class */ (function (_super) {
        __extends(NgbCell, _super);
        function NgbCell() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbCell;
    }(i1.CdkCell));
    NgbCell.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbCell, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbCell.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbCell, selector: "ngb-cell, td[ngb-cell]", host: { attributes: { "role": "gridcell" }, classAttribute: "cdk-cell" }, usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbCell, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: 'ngb-cell, td[ngb-cell]',
                        host: {
                            'class': 'cdk-cell',
                            'role': 'gridcell',
                        },
                    }]
            }] });

    /**
     * Header row definition for the mat-table.
     * Captures the header row's template and other header properties such as the columns to display.
     */
    var NgbHeaderRowDef = /** @class */ (function (_super) {
        __extends(NgbHeaderRowDef, _super);
        function NgbHeaderRowDef() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbHeaderRowDef;
    }(i1.CdkHeaderRowDef));
    NgbHeaderRowDef.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbHeaderRowDef, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbHeaderRowDef.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbHeaderRowDef, selector: "[ngbHeaderRowDef]", inputs: { columns: ["ngbHeaderRowDef", "columns"], sticky: ["ngbHeaderRowDefSticky", "sticky"] }, providers: [{ provide: i1.CdkHeaderRowDef, useExisting: NgbHeaderRowDef }], usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbHeaderRowDef, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[ngbHeaderRowDef]',
                        providers: [{ provide: i1.CdkHeaderRowDef, useExisting: NgbHeaderRowDef }],
                        inputs: ['columns: ngbHeaderRowDef', 'sticky: ngbHeaderRowDefSticky'],
                    }]
            }] });
    /**
     * Footer row definition for the mat-table.
     * Captures the footer row's template and other footer properties such as the columns to display.
     */
    var NgbFooterRowDef = /** @class */ (function (_super) {
        __extends(NgbFooterRowDef, _super);
        function NgbFooterRowDef() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbFooterRowDef;
    }(i1.CdkFooterRowDef));
    NgbFooterRowDef.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbFooterRowDef, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbFooterRowDef.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbFooterRowDef, selector: "[ngbFooterRowDef]", inputs: { columns: ["ngbFooterRowDef", "columns"], sticky: ["ngbFooterRowDefSticky", "sticky"] }, providers: [{ provide: i1.CdkFooterRowDef, useExisting: NgbFooterRowDef }], usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbFooterRowDef, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[ngbFooterRowDef]',
                        providers: [{ provide: i1.CdkFooterRowDef, useExisting: NgbFooterRowDef }],
                        inputs: ['columns: ngbFooterRowDef', 'sticky: ngbFooterRowDefSticky'],
                    }]
            }] });
    /**
     * Data row definition for the mat-table.
     * Captures the data row's template and other properties such as the columns to display and
     * a when predicate that describes when this row should be used.
     */
    var NgbRowDef = /** @class */ (function (_super) {
        __extends(NgbRowDef, _super);
        function NgbRowDef() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbRowDef;
    }(i1.CdkRowDef));
    NgbRowDef.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbRowDef, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbRowDef.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbRowDef, selector: "[ngbRowDef]", inputs: { columns: ["ngbRowDefColumns", "columns"], when: ["ngbRowDefWhen", "when"] }, providers: [{ provide: i1.CdkRowDef, useExisting: NgbRowDef }], usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbRowDef, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[ngbRowDef]',
                        providers: [{ provide: i1.CdkRowDef, useExisting: NgbRowDef }],
                        inputs: ['columns: ngbRowDefColumns', 'when: ngbRowDefWhen'],
                    }]
            }] });
    /** Header template container that contains the cell outlet. Adds the right class and role. */
    var NgbHeaderRow = /** @class */ (function (_super) {
        __extends(NgbHeaderRow, _super);
        function NgbHeaderRow() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbHeaderRow;
    }(i1.CdkHeaderRow));
    NgbHeaderRow.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbHeaderRow, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    NgbHeaderRow.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.11", type: NgbHeaderRow, selector: "ngb-header-row, tr[ngb-header-row]", host: { attributes: { "role": "row" } }, providers: [{ provide: i1.CdkHeaderRow, useExisting: NgbHeaderRow }], exportAs: ["ngbHeaderRow"], usesInheritance: true, ngImport: i0__namespace, template: "<ng-container cdkCellOutlet></ng-container>", isInline: true, directives: [{ type: i1__namespace.CdkCellOutlet, selector: "[cdkCellOutlet]" }], changeDetection: i0__namespace.ChangeDetectionStrategy.Default, encapsulation: i0__namespace.ViewEncapsulation.None });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbHeaderRow, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'ngb-header-row, tr[ngb-header-row]',
                        template: i1.CDK_ROW_TEMPLATE,
                        host: {
                            //'class': 'ngb-header-row',
                            'role': 'row',
                        },
                        // See note on CdkTable for explanation on why this uses the default change detection strategy.
                        // tslint:disable-next-line:validate-decorators
                        changeDetection: i0.ChangeDetectionStrategy.Default,
                        encapsulation: i0.ViewEncapsulation.None,
                        exportAs: 'ngbHeaderRow',
                        providers: [{ provide: i1.CdkHeaderRow, useExisting: NgbHeaderRow }],
                    }]
            }] });
    /** Footer template container that contains the cell outlet. Adds the right class and role. */
    var NgbFooterRow = /** @class */ (function (_super) {
        __extends(NgbFooterRow, _super);
        function NgbFooterRow() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbFooterRow;
    }(i1.CdkFooterRow));
    NgbFooterRow.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbFooterRow, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    NgbFooterRow.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.11", type: NgbFooterRow, selector: "ngb-footer-row, tr[ngb-footer-row]", host: { attributes: { "role": "row" }, classAttribute: "cdk-footer-row" }, providers: [{ provide: i1.CdkFooterRow, useExisting: NgbFooterRow }], exportAs: ["ngbFooterRow"], usesInheritance: true, ngImport: i0__namespace, template: "<ng-container cdkCellOutlet></ng-container>", isInline: true, directives: [{ type: i1__namespace.CdkCellOutlet, selector: "[cdkCellOutlet]" }], changeDetection: i0__namespace.ChangeDetectionStrategy.Default, encapsulation: i0__namespace.ViewEncapsulation.None });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbFooterRow, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'ngb-footer-row, tr[ngb-footer-row]',
                        template: i1.CDK_ROW_TEMPLATE,
                        host: {
                            'class': 'cdk-footer-row',
                            'role': 'row',
                        },
                        // See note on CdkTable for explanation on why this uses the default change detection strategy.
                        // tslint:disable-next-line:validate-decorators
                        changeDetection: i0.ChangeDetectionStrategy.Default,
                        encapsulation: i0.ViewEncapsulation.None,
                        exportAs: 'ngbFooterRow',
                        providers: [{ provide: i1.CdkFooterRow, useExisting: NgbFooterRow }],
                    }]
            }] });
    /** Data row template container that contains the cell outlet. Adds the right class and role. */
    var NgbRow = /** @class */ (function (_super) {
        __extends(NgbRow, _super);
        function NgbRow() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbRow;
    }(i1.CdkRow));
    NgbRow.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbRow, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    NgbRow.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.11", type: NgbRow, selector: "ngb-row, tr[ngb-row]", host: { attributes: { "role": "row" }, classAttribute: "cdk-row" }, providers: [{ provide: i1.CdkRow, useExisting: NgbRow }], exportAs: ["ngbRow"], usesInheritance: true, ngImport: i0__namespace, template: "<ng-container cdkCellOutlet></ng-container>", isInline: true, directives: [{ type: i1__namespace.CdkCellOutlet, selector: "[cdkCellOutlet]" }], changeDetection: i0__namespace.ChangeDetectionStrategy.Default, encapsulation: i0__namespace.ViewEncapsulation.None });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbRow, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'ngb-row, tr[ngb-row]',
                        template: i1.CDK_ROW_TEMPLATE,
                        host: {
                            'class': 'cdk-row',
                            'role': 'row',
                        },
                        // See note on CdkTable for explanation on why this uses the default change detection strategy.
                        // tslint:disable-next-line:validate-decorators
                        changeDetection: i0.ChangeDetectionStrategy.Default,
                        encapsulation: i0.ViewEncapsulation.None,
                        exportAs: 'ngbRow',
                        providers: [{ provide: i1.CdkRow, useExisting: NgbRow }],
                    }]
            }] });
    /** Row that can be used to display a message when no data is shown in the table. */
    var NgbNoDataRow = /** @class */ (function (_super) {
        __extends(NgbNoDataRow, _super);
        function NgbNoDataRow() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbNoDataRow;
    }(i1.CdkNoDataRow));
    NgbNoDataRow.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbNoDataRow, deps: null, target: i0__namespace.ɵɵFactoryTarget.Directive });
    NgbNoDataRow.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.11", type: NgbNoDataRow, selector: "ng-template[ngbNoDataRow]", providers: [{ provide: i1.CdkNoDataRow, useExisting: NgbNoDataRow }], usesInheritance: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbNoDataRow, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: 'ng-template[ngbNoDataRow]',
                        providers: [{ provide: i1.CdkNoDataRow, useExisting: NgbNoDataRow }],
                    }]
            }] });

    /**
     * Column that simply shows text content for the header and row cells. Assumes that the table
     * is using the native table implementation (`<table>`).
     *
     * By default, the name of this column will be the header text and data property accessor.
     * The header text can be overridden with the `headerText` input. Cell values can be overridden with
     * the `dataAccessor` input. Change the text justification to the start or end using the `justify`
     * input.
     */
    var NgbTextColumn = /** @class */ (function (_super) {
        __extends(NgbTextColumn, _super);
        function NgbTextColumn() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return NgbTextColumn;
    }(i1.CdkTextColumn));
    NgbTextColumn.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbTextColumn, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    NgbTextColumn.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.2.11", type: NgbTextColumn, selector: "ngb-text-column", usesInheritance: true, ngImport: i0__namespace, template: "\n    <ng-container ngbColumnDef>\n      <th ngb-header-cell *ngbHeaderCellDef [style.text-align]=\"justify\">\n        {{headerText}}\n      </th>\n      <td ngb-cell *ngbCellDef=\"let data\" [style.text-align]=\"justify\">\n        {{dataAccessor(data, name)}}\n      </td>\n    </ng-container>\n  ", isInline: true, directives: [{ type: NgbColumnDef, selector: "[ngbColumnDef]", inputs: ["sticky", "ngbColumnDef"] }, { type: NgbHeaderCellDef, selector: "[ngbHeaderCellDef]" }, { type: NgbHeaderCell, selector: "ngb-header-cell, th[ngb-header-cell]" }, { type: NgbCellDef, selector: "[ngbCellDef]" }, { type: NgbCell, selector: "ngb-cell, td[ngb-cell]" }], changeDetection: i0__namespace.ChangeDetectionStrategy.Default, encapsulation: i0__namespace.ViewEncapsulation.None });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: NgbTextColumn, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'ngb-text-column',
                        template: "\n    <ng-container ngbColumnDef>\n      <th ngb-header-cell *ngbHeaderCellDef [style.text-align]=\"justify\">\n        {{headerText}}\n      </th>\n      <td ngb-cell *ngbCellDef=\"let data\" [style.text-align]=\"justify\">\n        {{dataAccessor(data, name)}}\n      </td>\n    </ng-container>\n  ",
                        encapsulation: i0.ViewEncapsulation.None,
                        // Change detection is intentionally not set to OnPush. This component's template will be provided
                        // to the table to be inserted into its view. This is problematic when change detection runs since
                        // the bindings in this template will be evaluated _after_ the table's view is evaluated, which
                        // mean's the template in the table's view will not have the updated value (and in fact will cause
                        // an ExpressionChangedAfterItHasBeenCheckedError).
                        // tslint:disable-next-line:validate-decorators
                        changeDetection: i0.ChangeDetectionStrategy.Default,
                    }]
            }] });

    /**
     * @license
     * Copyright Google LLC All Rights Reserved.
     *
     * Use of this source code is governed by an MIT-style license that can be
     * found in the LICENSE file at https://angular.io/license
     */
    var EXPORTED_DECLARATIONS = [
        // Table
        NgbTable,
        NgbRecycleRows,
        // Template defs
        NgbHeaderCellDef,
        NgbHeaderRowDef,
        NgbColumnDef,
        NgbCellDef,
        NgbRowDef,
        NgbFooterCellDef,
        NgbFooterRowDef,
        // Cell directives
        NgbHeaderCell,
        NgbCell,
        NgbFooterCell,
        // Row directives
        NgbHeaderRow,
        NgbRow,
        NgbFooterRow,
        NgbNoDataRow,
        NgbTextColumn,
    ];
    var DfxTableModule = /** @class */ (function () {
        function DfxTableModule() {
        }
        return DfxTableModule;
    }());
    DfxTableModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: DfxTableModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    DfxTableModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: DfxTableModule, declarations: [
            // Table
            NgbTable,
            NgbRecycleRows,
            // Template defs
            NgbHeaderCellDef,
            NgbHeaderRowDef,
            NgbColumnDef,
            NgbCellDef,
            NgbRowDef,
            NgbFooterCellDef,
            NgbFooterRowDef,
            // Cell directives
            NgbHeaderCell,
            NgbCell,
            NgbFooterCell,
            // Row directives
            NgbHeaderRow,
            NgbRow,
            NgbFooterRow,
            NgbNoDataRow,
            NgbTextColumn
        ], imports: [i1.CdkTableModule], exports: [
            // Table
            NgbTable,
            NgbRecycleRows,
            // Template defs
            NgbHeaderCellDef,
            NgbHeaderRowDef,
            NgbColumnDef,
            NgbCellDef,
            NgbRowDef,
            NgbFooterCellDef,
            NgbFooterRowDef,
            // Cell directives
            NgbHeaderCell,
            NgbCell,
            NgbFooterCell,
            // Row directives
            NgbHeaderRow,
            NgbRow,
            NgbFooterRow,
            NgbNoDataRow,
            NgbTextColumn
        ] });
    DfxTableModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: DfxTableModule, imports: [[i1.CdkTableModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.11", ngImport: i0__namespace, type: DfxTableModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [i1.CdkTableModule],
                        exports: [EXPORTED_DECLARATIONS],
                        declarations: EXPORTED_DECLARATIONS,
                    }]
            }] });

    /*
     * Public API Surface of dfx-bootstrap-table
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.DfxTableModule = DfxTableModule;
    exports.NgbCell = NgbCell;
    exports.NgbCellDef = NgbCellDef;
    exports.NgbColumnDef = NgbColumnDef;
    exports.NgbFooterCell = NgbFooterCell;
    exports.NgbFooterCellDef = NgbFooterCellDef;
    exports.NgbFooterRow = NgbFooterRow;
    exports.NgbFooterRowDef = NgbFooterRowDef;
    exports.NgbHeaderCell = NgbHeaderCell;
    exports.NgbHeaderCellDef = NgbHeaderCellDef;
    exports.NgbHeaderRow = NgbHeaderRow;
    exports.NgbHeaderRowDef = NgbHeaderRowDef;
    exports.NgbNoDataRow = NgbNoDataRow;
    exports.NgbRecycleRows = NgbRecycleRows;
    exports.NgbRow = NgbRow;
    exports.NgbRowDef = NgbRowDef;
    exports.NgbTable = NgbTable;
    exports.NgbTextColumn = NgbTextColumn;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=dfx-bootstrap-table.umd.js.map
